Debian Bug report logs - #626837
ITP: libsys-mmap-perl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Sun, 15 May 2011 19:27:01 UTC

Owned by: Fabrizio Regalli <fabreg@fabreg.it>

Severity: wishlist

Fixed in version libsys-mmap-perl/0.15-1

Done: Fabrizio Regalli <fabreg@fabreg.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, vagrant@debian.org, wnpp@debian.org:
Bug#626837; Package wnpp. (Sun, 15 May 2011 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to vagrant@debian.org, wnpp@debian.org. (Sun, 15 May 2011 19:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libsys-mmap-perl
Date: Sun, 15 May 2011 12:24:16 -0700
Package: wnpp
Severity: wishlist

* Package name    : libsys-mmap-perl
  Version         : 0.15
  Upstream Author : Todd Rinaldo <toddr@cpan.org>
* URL             : http://search.cpan.org/~toddr/Sys-Mmap/
* License         : GPL & Artistic
  Programming Lang: Perl
  Description     : Sys::Mmap - uses mmap to map in a file as a Perl variable

The Mmap module uses the POSIX mmap call to map in a file as a Perl variable.
Memory access by mmap may be shared between threads or forked processes, and
may be a disc file that has been mapped into memory. Sys::Mmap depends on your
operating system supporting UNIX or POSIX.1b mmap, of course.


not sure i'd be able to tackle packaging and maintaining this myself, but may
be necessary for future versions of zoneminder, which i've been co-maintaining.

live well,
  vagrant




Added indication that bug 626837 blocks 607331 Request was from Vagrant Cascadian <vagrant@freegeek.org> to control@bugs.debian.org. (Sun, 15 May 2011 20:21:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#626837; Package wnpp. (Fri, 20 May 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrizio Regalli <fabreg@fabreg.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 20 May 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #12 received at 626837@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: Vagrant Cascadian <vagrant@debian.org>
Cc: 626837@bugs.debian.org
Subject: Re: RFP: libsys-mmap-perl
Date: Fri, 20 May 2011 15:39:58 +0200
[Message part 1 (text/plain, inline)]
Hi Vagrant,

I would like to help you with this package (especially because it blocks
your zoneminder package) but not yet an expert in Debian's world and
this will be my first *perl* package. (A good opportunity to learn)
However, I'll do my best for packaging it.

Cheers,
Fabrizio.

p.s. I'm not a DD so, in case package will be in a good shape, I need
your support for upload it.




[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: libsys-mmap-perl' from 'RFP: libsys-mmap-perl' Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Fri, 20 May 2011 13:45:04 GMT) Full text and rfc822 format available.

Owner recorded as Fabrizio Regalli <fabreg@fabreg.it>. Request was from Fabrizio Regalli <fabreg@fabreg.it> to control@bugs.debian.org. (Fri, 20 May 2011 14:48:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 27 May 2011 20:06:12 GMT) Full text and rfc822 format available.

Reply sent to Fabrizio Regalli <fabreg@fabreg.it>:
You have taken responsibility. (Fri, 27 May 2011 21:36:08 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Fri, 27 May 2011 21:36:11 GMT) Full text and rfc822 format available.

Message #23 received at 626837-close@bugs.debian.org (full text, mbox):

From: Fabrizio Regalli <fabreg@fabreg.it>
To: 626837-close@bugs.debian.org
Subject: Bug#626837: fixed in libsys-mmap-perl 0.15-1
Date: Fri, 27 May 2011 21:32:40 +0000
Source: libsys-mmap-perl
Source-Version: 0.15-1

We believe that the bug you reported is fixed in the latest version of
libsys-mmap-perl, which is due to be installed in the Debian FTP archive:

libsys-mmap-perl_0.15-1.debian.tar.gz
  to main/libs/libsys-mmap-perl/libsys-mmap-perl_0.15-1.debian.tar.gz
libsys-mmap-perl_0.15-1.dsc
  to main/libs/libsys-mmap-perl/libsys-mmap-perl_0.15-1.dsc
libsys-mmap-perl_0.15-1_i386.deb
  to main/libs/libsys-mmap-perl/libsys-mmap-perl_0.15-1_i386.deb
libsys-mmap-perl_0.15.orig.tar.gz
  to main/libs/libsys-mmap-perl/libsys-mmap-perl_0.15.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabrizio Regalli <fabreg@fabreg.it> (supplier of updated libsys-mmap-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 20 May 2011 15:07:31 +0200
Source: libsys-mmap-perl
Binary: libsys-mmap-perl
Architecture: source i386
Version: 0.15-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Fabrizio Regalli <fabreg@fabreg.it>
Description: 
 libsys-mmap-perl - module for using POSIX mmap
Closes: 626837
Changes: 
 libsys-mmap-perl (0.15-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #626837)
Checksums-Sha1: 
 43cf924f4d2ba300829475dfbae9ed42ed62c5d2 1957 libsys-mmap-perl_0.15-1.dsc
 bbfe0617e970f1f8edd8ce44f8b67a737e2aacfc 16105 libsys-mmap-perl_0.15.orig.tar.gz
 1597a4de7ffb20cc22ce0634513a6ed2c8d5e62f 1888 libsys-mmap-perl_0.15-1.debian.tar.gz
 b63e1f2e1810a553d0b4ff1eaf474521295817d1 21424 libsys-mmap-perl_0.15-1_i386.deb
Checksums-Sha256: 
 1767a4c6d9a8781f4fcc27143965d6168c29e3f2593ad69c7a33fba47cc8a2d9 1957 libsys-mmap-perl_0.15-1.dsc
 e616c11b3c10bbdaf1fbbf3202826ea361db3c66a27f9d44f79fe9cfa3f94155 16105 libsys-mmap-perl_0.15.orig.tar.gz
 0515feaa7939bb5dc57c85da50d12b9eb07b87733a3a7ffdf9cb8031ae628ddc 1888 libsys-mmap-perl_0.15-1.debian.tar.gz
 08452f70400587303e1d4cf4eb0f3566bb3c896157f0482b6627c9b98f525fa8 21424 libsys-mmap-perl_0.15-1_i386.deb
Files: 
 5b8ca90c6c454d5f1d76e08d4969564d 1957 perl optional libsys-mmap-perl_0.15-1.dsc
 779453c3950a8370bae04aff1cfbaf90 16105 perl optional libsys-mmap-perl_0.15.orig.tar.gz
 ac3d64868c0f1b52607f8f2f844474b2 1888 perl optional libsys-mmap-perl_0.15-1.debian.tar.gz
 8532cd9541d02c18be81a665b8c815ef 21424 perl optional libsys-mmap-perl_0.15-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN37P3AAoJELs6aAGGSaoGEfIP/10DHZSXOmr6uTrD2Z+eezIL
XIO18xHN2JVNsommRvUWZizDSoqkwFSQKNKJq3Xo0U6KiVzpTy6BIFSISrE4fT/m
exEnvvRTsylUJnbbQioAOerVXAhUpwbEf5qTre3nTg/vaT6jKx5/S/SyprQicGDL
Xwu9yfrq+4L8QumqmiNydxiyEjoe6V/eCObZz0FJ6CpZo+Kj96vZTW2aZyKRv9tn
ScOZH66hxdRkXWPDcn0zh+lqaU3gjQuybsdti9wYndd9LkFUGSbsquHP6BtnlXLL
iu5hRZJsZq5BgGMn3wqmQMRU96kzfL6A0WTAaJlDQ8d8uL2Dyzy1X/nWBL+8hdGe
p+lbmkJP+66KPRm90A9buPV0pBNyemvKfl+eQKGvp+OshXGRhtr2aIli3paOW3I2
UhXQF+tqj79d5G075OpwLeZe+wxiiTl2VdY8oPr1aolmchnRGPc/bsA4450YgMiU
JoHPA7InHOPRBv2kaLMib+moXDDxzZ7f34AqtLgsmfer1IRSatjJcuphEBpeTk7v
4k53D0Ah7e3azvZ51+i25Qw5w4/mn7tlVW/jRk8sKZFOzqqN2POPznSDdX3jshi9
TTvnSAoKUQq8J2MEnJJ7yhGFs5NmVBWaU2jrrT9oMxCHWmMhf1gUbNHNFjUozxV5
zZYvylx7zTPd8lDNOAN5
=uSK7
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jun 2011 07:34:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:54:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.